aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2016-10-26 15:02:54 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2016-10-26 15:02:54 +0000
commit2480e9ea6684ef447270fbbf164c84164b802712 (patch)
tree72a22e82a3509318a78aa46e4f6788184b86bed2
parent82777a041599402f1ad86bb607950914b9fbc10e (diff)
downloadaports-2480e9ea6684ef447270fbbf164c84164b802712.tar.gz
aports-2480e9ea6684ef447270fbbf164c84164b802712.tar.bz2
aports-2480e9ea6684ef447270fbbf164c84164b802712.tar.xz
main/perl-list-allutils: upgrade to 0.12
-rw-r--r--main/perl-list-allutils/APKBUILD31
1 files changed, 16 insertions, 15 deletions
diff --git a/main/perl-list-allutils/APKBUILD b/main/perl-list-allutils/APKBUILD
index 6f85df7773..32f110a7cd 100644
--- a/main/perl-list-allutils/APKBUILD
+++ b/main/perl-list-allutils/APKBUILD
@@ -2,39 +2,40 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=perl-list-allutils
_pkgreal=List-AllUtils
-pkgver=0.09
+pkgver=0.12
pkgrel=0
-pkgdesc="Combines List::Util and List::MoreUtils in one bite-sized package"
+pkgdesc="Combines List::Util, List::SomeUtils and List::UtilsBy in one bite-sized package"
url="http://search.cpan.org/dist/List-AllUtils/"
arch="noarch"
license="Artistic-2"
-cpandepends="perl-list-moreutils"
-cpanmakedepends=" perl-test-warnings "
-depends="$cpandepends"
+cpandepends="perl-list-utilsby perl-list-someutils"
+cpanmakedepends=" "
+depends="$cpandepends perl-scalar-list-utils"
makedepends="perl-dev $cpanmakedepends"
subpackages="$pkgname-doc"
source="http://search.cpan.org/CPAN/authors/id/D/DR/DROLSKY/$_pkgreal-$pkgver.tar.gz"
-
-_builddir="$srcdir/$_pkgreal-$pkgver"
+builddir="$srcdir/$_pkgreal-$pkgver"
prepare() {
- cd "$_builddir"
- export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
}
build() {
- cd "$_builddir"
- export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
make && make test
}
package() {
- cd "$_builddir"
+ cd "$builddir"
make DESTDIR="$pkgdir" install || return 1
find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
}
-md5sums="3e2dfeeef80c4e1952443c6b7d48583c List-AllUtils-0.09.tar.gz"
-sha256sums="4cfe6359cc6c9f4ba0d178e223f4b468d3cf7768d645334962f05de069bdaee2 List-AllUtils-0.09.tar.gz"
-sha512sums="a611536880abfeb3aadfab629a98115905f447ddb74f0e9cce9d3534366978e43a8bf566a742d352e5ac263d8bd4c32c96dd4f308fd36ebd7003eb0001f96727 List-AllUtils-0.09.tar.gz"
+md5sums="8803c2beaccaf5b042efd4399ed107e5 List-AllUtils-0.12.tar.gz"
+sha256sums="0b5352317652c22b53bee64e1984efd9f21edfad321b0e5a98cdec5ec87bbcae List-AllUtils-0.12.tar.gz"
+sha512sums="788bbb0eef590e4ead136653ac8532788979a4f0c639b23ee1e32372ed9160fe1c6caf3e263c1e0a5f04452d1f58025b4c3244701fbde12648e01e0011646df7 List-AllUtils-0.12.tar.gz"